Packages - Bug #2111

[konsole][konqueror][kapman]: not run
2018-12-12 04:39 AM - arescorpio

Status: info needed % Done: 0%
Priority: bug

Assignee:

Category:

Description

QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-arescorpio’
Violacién de segmento (‘core' generado)

History

#1 - 2018-12-12 05:02 AM - bill-auger

- Status changed from open to info needed

- Subject changed from konsole not run to [konsolej[konqueror][kapman]: not run
- Tracker changed from Porting to Bug

arescorpio wrote:

Violacién de segmento ("core' generado)

that is presumably "segfault (core dumped)"

what is the arch of the parabola you are running when this happens? - all of those programs start up for me on x86_64/systemd - 'konqueror' has
some major problems (different than this issue) but the others work as expected

#2 - 2018-12-12 05:02 AM - bill-auger

- Project changed from Installation Media to Packages

#3 - 2018-12-12 05:34 AM - bill-auger

arescorpio is running x86_64/openrc

#4 - 2018-12-16 02:32 AM - freemor

Your Problem is:

XDG_RUNTIME_DIR not set,

That should be set to /run/user/<uid> (usually 1000). In systemd it get set by pam_systemd when you login. Not sure where is get set during openrc
login. Also People using Sway/Weston have problems with this not being set automatically. (a seen by doing a quick duck search on the issue)

So this remains an info needed situation.
Are you using X11 or something else?

How is that getting launched?
Do you have dbus service running? (no dbus is another cause of this not getting set)
